<?php
namespace App\Exception;

class PropertyNotFound extends \LogicException
{
    protected $class;
    protected $property;

    public function __construct($class, $property)
    {
        $this->class = $class;
        $this->property = $property;
        $msg = "Property '" . $property . "' for class '" . $class . "' not found.";
        parent::__construct($msg);
    }
}